package org.examcloud.core.reports.api.client;

import org.examcloud.core.reports.api.ProjectCloudService;
import org.examcloud.core.reports.api.request.GetProjectInfoBeanReq;
import org.examcloud.core.reports.api.request.UpdateProjectStatusReq;
import org.examcloud.core.reports.api.response.GetProjectInfoBeanResp;
import org.examcloud.core.reports.api.response.UpdateProjectStatusResp;
import org.springframework.stereotype.Service;

@Service
public class ProjectCloudServiceClient extends AbstractCloudClientSupport implements ProjectCloudService {


	/**
	 * 
	 */
	private static final long serialVersionUID = -5111637253657647140L;

	@Override
	public UpdateProjectStatusResp updateProjectStatus(UpdateProjectStatusReq req) {
		return post("project/updateStatus", req, UpdateProjectStatusResp.class);
	}

	@Override
	public GetProjectInfoBeanResp getProjectBean(GetProjectInfoBeanReq req) {
		return post("project/getProjectBean", req, GetProjectInfoBeanResp.class);
	}

}
