package org.examcloud.core.reports.api.client;

import org.examcloud.core.reports.api.ExamCourseDataReportCloudService;
import org.examcloud.core.reports.api.request.DeleteExamCourseDataReportByProjectReq;
import org.examcloud.core.reports.api.request.SaveExamCourseDataReportListReq;
import org.examcloud.core.reports.api.response.DeleteExamCourseDataReportByProjectResp;
import org.examcloud.core.reports.api.response.SaveExamCourseDataReportListResp;
import org.springframework.stereotype.Service;

@Service
public class ExamCourseDataReportCloudServiceClient extends AbstractCloudClientSupport implements ExamCourseDataReportCloudService {


	/**
	 * 
	 */
	private static final long serialVersionUID = -9200217219498417571L;

	@Override
	public SaveExamCourseDataReportListResp saveExamCourseDataReportList(SaveExamCourseDataReportListReq req) {
		return post("examCourseDataReport/saveList", req, SaveExamCourseDataReportListResp.class);
	}

	@Override
	public DeleteExamCourseDataReportByProjectResp deleteExamCourseDataReportByProject(
			DeleteExamCourseDataReportByProjectReq req) {
		return post("examCourseDataReport/deleteByProject", req, DeleteExamCourseDataReportByProjectResp.class);
	}

}
